#
# spec file for package webkit2gtk3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _pkgname_no_slpp libwebkit2gtk3
%define _sover -4_0-18
%define _wk2sover -4_0-37
%define _sonamever 4.0
%define _sonameverpkg 4_0
%define _gtkver 3.0
%define _jscver 4
%define _pkgconfig_suffix gtk-3.0
%define _name webkitgtk
Name:           webkit2gtk3
Version:        2.12.5
Release:        2.20
Summary:        Library for rendering web content, GTK+ Port
License:        LGPL-2.0+ and BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://webkitgtk.org/
Source:         http://webkitgtk.org/releases/%{_name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE webkitgtk-typelib-sharelib-link.patch dimstar@opensuse.org -- Fixup the .gir file to contain the full library name for libjavascriptcore.
Patch0:         webkitgtk-typelib-sharelib-link.patch
# PATCH-FIX-SLE webkitgtk-disable-gcc-version-checks.patch mcatanzaro@igalia.com -- Allow building with GCC 4.8, which is currently safe if IndexedDB is disabled.
Patch1:         webkitgtk-disable-gcc-version-checks.patch
%ifnarch s390 s390x
BuildRequires:  binutils-gold
%endif
BuildRequires:  bison >= 2.3
BuildRequires:  cmake
%if %{?suse_version} > 1315
BuildRequires:  gcc-c++ >= 4.9
%else
BuildRequires:  gcc-c++ >= 4.8
BuildRequires:  libedit-devel
%endif
BuildRequires:  gobject-introspection-devel
BuildRequires:  gperf >= 3.0.1
BuildRequires:  hyphen-devel
BuildRequires:  libicu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ncurses-devel
BuildRequires:  perl >= 5.10.0
BuildRequires:  python >= 2.6.0
BuildRequires:  ruby >= 1.8.7
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(atspi-2) >= 2.5.3
BuildRequires:  pkgconfig(cairo) >= 1.10.2
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(fontconfig) >= 2.8.0
BuildRequires:  pkgconfig(freetype2) >= 2.4.2
BuildRequires:  pkgconfig(geoclue-2.0) >= 2.1.5
BuildRequires:  pkgconfig(glib-2.0) >= 2.36
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.0.3
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(harfbuzz) >= 0.9.2
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.42.0
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.8.0
BuildRequires:  pkgconfig(libxslt) >= 1.1.7
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n libwebkit2gtk%{_wk2sover}
Summary:        Library for rendering web content, GTK+ Port
Group:          System/Libraries
Provides:       %{_pkgname_no_slpp} = %{version}
Recommends:     %{_pkgname_no_slpp}-lang = %{version}
# Require the injected bundles. The bundles are dlopen()ed
Requires:       webkit2gtk-4_0-injected-bundles

%description -n libwebkit2gtk%{_wk2sover}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n webkit2gtk-4_0-injected-bundles
Summary:        Library for rendering web content -- Injected bundles
Group:          System/Libraries

%description -n webkit2gtk-4_0-injected-bundles
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n libjavascriptcoregtk%{_sover}
Summary:        JavaScript Core Engine, GTK+ Port
Group:          System/Libraries

%description -n libjavascriptcoregtk%{_sover}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n typelib-1_0-WebKit2-%{_sonameverpkg}
Summary:        Library for rendering web content, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-WebKit2-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of WebKit2.

%package -n typelib-1_0-WebKit2WebExtension-%{_sonameverpkg}
Summary:        Library for rendering web content, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-WebKit2WebExtension-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of WebKit2.

%package -n typelib-1_0-JavaScriptCore-%{_sonameverpkg}
Summary:        JavaScript Core Engine, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-JavaScriptCore-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of the JavaScript Core engine.

%package devel
Summary:        Library for rendering web content, GTK+ Port
Group:          Development/Libraries/C and C++
Requires:       libjavascriptcoregtk%{_sover} = %{version}
Requires:       libwebkit2gtk%{_wk2sover} = %{version}
Requires:       typelib-1_0-JavaScriptCore-%{_sonameverpkg}

%description devel
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n webkit-jsc-%{_jscver}
Summary:        Library for rendering web content, GTK+ Port
Group:          Development/Libraries/C and C++

%description -n webkit-jsc-%{_jscver}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%lang_package -n %{_pkgname_no_slpp}

%prep
%setup -q -n webkitgtk-%{version}
%patch0 -p1
%if %{?suse_version} == 1315
%patch1 -p1
%endif

%build
# Use linker flags to reduce memory consumption
%ifarch s390 s390x
# binutils-gold doesn't exist on s390x
%global optflags %(echo %{optflags} -Wl,--no-keep-memory -Wl,--reduce-memory-overheads | sed 's/-g /-g1 /')
%else
%global optflags %(echo %{optflags} -Wl,--no-keep-memory | sed 's/-g /-g1 /')
%endif
# IndexedDB support (including DB process) support requires GCC 4.9.
# Use some hidden, not-really-supported build options to avoid this.
# See webkit#98932.
# Disable FTL JIT on SLE until we get llvm >= 3.7 or until
# upstream switches from LLVM to B3 (requires gcc >= 4.9).
%cmake \
%if 0%{?suse_version} == 1315
  -DENABLE_DATABASE_PROCESS=OFF \
  -DENABLE_INDEXED_DATABASE=OFF \
  -DENABLE_FTL_JIT=OFF \
%endif
  -DCMAKE_BUILD_TYPE=Release \
  -DLIBEXEC_INSTALL_DIR=%{_libexecdir}/libwebkit2gtk%{_wk2sover} \
  -DPORT=GTK \
  -DENABLE_PLUGIN_PROCESS_GTK2=OFF \
%ifarch ppc ppc64 ppc64le s390 s390x
  -DENABLE_JIT=OFF \
  -DUSE_SYSTEM_MALLOC=ON \
%endif
  -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
  -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread"

make %{?_smp_mflags}

%install
%cmake_install
%find_lang WebKit2GTK-4.0

%post -n libwebkit2gtk%{_wk2sover} -p /sbin/ldconfig

%postun -n libwebkit2gtk%{_wk2sover} -p /sbin/ldconfig

%post -n libjavascriptcoregtk%{_sover} -p /sbin/ldconfig

%postun -n libjavascriptcoregtk%{_sover} -p /sbin/ldconfig

%files -n libwebkit2gtk%{_wk2sover}
%defattr(-,root,root)
%{_libexecdir}/libwebkit2gtk%{_wk2sover}/
%{_libdir}/libwebkit2gtk-4.0.so.*

%files -n webkit2gtk-4_0-injected-bundles
%defattr(-,root,root)
%dir %{_libdir}/webkit2gtk-4.0
%dir %{_libdir}/webkit2gtk-4.0/injected-bundle
%{_libdir}/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so

%files -n libjavascriptcoregtk%{_sover}
%defattr(-, root, root)
%doc Source/JavaScriptCore/COPYING.LIB
%{_libdir}/libjavascriptcoregtk-4.0.so.*

%files -n typelib-1_0-WebKit2-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/WebKit2-%{_sonamever}.typelib

%files -n typelib-1_0-WebKit2WebExtension-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{_sonamever}.typelib

%files -n typelib-1_0-JavaScriptCore-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/JavaScriptCore-%{_sonamever}.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/*.gir
%{_includedir}/webkitgtk-4.0/
%{_libdir}/libwebkit2gtk-4.0.so
%{_libdir}/libjavascriptcoregtk-4.0.so
%{_libdir}/pkgconfig/javascriptcoregtk-4.0.pc
%{_libdir}/pkgconfig/webkit2gtk-4.0.pc
%{_libdir}/pkgconfig/webkit2gtk-web-extension-4.0.pc

%files -n webkit-jsc-%{_jscver}
%defattr(-,root,root)
%{_bindir}/jsc

%files -n %{_pkgname_no_slpp}-lang -f WebKit2GTK-4.0.lang
%defattr(-,root,root)

%changelog
* Tue Sep  6 2016 fezhang@suse.com
- Rebase webkitgtk-disable-gcc-version-checks.patch for 2.12.5
* Mon Sep  5 2016 zaitor@opensuse.org
- Update to version 2.12.5:
  + Fix a regression introduced in 2.12.4 that caused a hang in the
    network process after a load failure.
  + Fix several crashes and rendering issues.
* Thu Aug 25 2016 sreeves@suse.com
- Rebase webkitgtk-disable-gcc-version-checks.patch for 2.12.4
* Thu Aug 25 2016 zaitor@opensuse.org
- Update to version 2.12.4:
  + Security fixes: CVE-2016-4622, CVE-2016-4624, CVE-2016-4591,
    CVE-2016-4590.
  + Fix performance in accelerated compositing mode with the
    modesetting intel driver and DRI3 enabled.
  + Reduce the amount of file descriptors that the Web Process
    keeps open.
  + Fix Web Process deadlocks when loading HLS videos.
  + Make CSS and SVG animations run at 60fps.
  + Make meter elements accessible.
  + Improve accessibility name and description of elements to make
    it more compatible with W3C specs and fix several bugs in which
    the accessible name of objects was missing or broken.
  + Fix a crash when running windowed plugins under Wayland.
  + Fix a crash at process exit under Wayland.
  + Fix several crashes and rendering issues.
  + Updated translations.
- Update _constraints memory requirements.
* Mon Jun 20 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  version.
* Fri Jun 17 2016 zaitor@opensuse.org
- Update to version 2.12.3:
  + Security fixes: CVE-2016-1857, CVE-2016-1856.
  + Improved the detection of supported MIME types supported by the
    media player.
  + Fix web process crash when playing adaptive streaming media.
  + Change the volume while thumb slider is dragged, not only when
    released.
  + Fix leaked thread in network process.
  + Fix several crashes and rendering issues.
  + Updated translations.
* Tue Jun  7 2016 dimstar@opensuse.org
- Also apply webkitgtk-disable-gcc-version-checks.patch on Leap
  and use GCC 4.8.
- Change condition to pass -DENABLE_DATABASE_PROCESS=OFF,
  - DENABLE_INDEXED_DATABASE=OFF and -DENABLE_FTL_JIT=OFF to cmake:
  newly on all SLE12 based systems (incl. Leap).
* Fri May 27 2016 idonmez@suse.com
- Update to GNOME 3.20.2 FATE#318572
* Thu May  5 2016 ro@suse.de
- add -DUSE_SYSTEM_MALLOC=ON as in factory on ppc/s390
* Wed May  4 2016 ro@suse.de
- handle s390 like s390x to fix build
* Mon May  2 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  version.
* Thu Apr 28 2016 zaitor@opensuse.org
- Update to version 2.12.2:
  + Fix rendering of scrollbars with GTK themes using stepper
    buttons.
  + Fix compatibility issue with 2.12.1 regarding local storage
    access from file URLs.
  + Make menu list buttons use the text color from the theme.
  + Do not show resize grip in non-resizable text fields.
  + Fix accessibility events causing Orca to echo key presses
    instead of speaking the inserted characters in password fields.
  + Fix an off by one error in hyphenation.
  + Fix several crashes and rendering issues.
  + Fix the build with libjpeg v9.
  + Updated translations.
* Mon Apr 25 2016 zaitor@opensuse.org
- Drop pkgconfig(gtk+-2.0) BuildRequires and pass
  - DENABLE_PLUGIN_PROCESS_GTK2=OFF to configure. We do no longer
  ship the flash-plugin in openSUSE, and it were the last consumer
  of this functionality. This also have the added bonus of freeing
  zenity and dependant packages of gtk2 dependencies.
* Fri Apr 15 2016 zaitor@opensuse.org
- Update to version 2.12.1:
  + Fix spotify player.
  + Improve themed control elements rendering to better match GTK+
    widgets.
  + Make remote web inspector work again.
  + Fix several crashes and rendering issues.
  + Fix several memory leaks.
  + Fix the build in Linux / PowerPC.
  + Fix detection of S390X and PPC64 architectures.
  + Fix the build in glibc-based BSD systems.
  + Updated translations.
- Add -DUSE_SYSTEM_MALLOC=ON  to configure for ppc ppc64 ppc64le
  and s390x, needed now for build to complete.
* Wed Mar 23 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  version.
* Tue Mar 22 2016 zaitor@opensuse.org
- Update to version 2.12.0:
  + Enable GSS-Negotiate support when available in libsoup.
  + Fix overlay scrollbar indicator position.
  + Fix smooth scrolling behavior that was not fixed in all cases
    in 2.11.92.
  + Fix the build with newer versions of GCC and clang.
* Thu Mar 17 2016 fcrozat@suse.com
- Update webkitgtk-disable-gcc-version-checks.patch (partially
  merged).
* Wed Mar 16 2016 zaitor@opensuse.org
- Update to version 2.11.92:
  + Revert the patch to limit the number of tiles according to the
    visible area introduced in 2.11.90, because it caused rendering
    issues in several popular websites.
  + Fix scrollbars rendering again with GTK+ >= 3.19.11.
  + Fix rendering of slider input elements.
  + Fix rendering artifacts when using a web view background color.
  + Make webkit_web_context_clear_cache() work again.
  + Fix smooth scrolling behavior that was changed by mistake.
  + Don’t force ENABLE_INTROSPECTION=OFF on Mac.
  + Install WebProcess and NetworkProcess on OSX when not building
    the Mac port.
* Wed Mar  2 2016 fcrozat@suse.com
- Update webkitgtk-disable-gcc-version-checks.patch to properly
  disable terminateDatabaseProcess method when it is disabled at
  compilation time.
* Wed Mar  2 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  webkitgtk.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 2.11.91:
  + Do not show stale contents after session restore.
  + Fix flickering and rendering artifacts when entering
    accelerated compositing mode before the web view is realized.
  + Fix several rendering issues and crashes.
  + Fix build with FTL enabled in FreeBSD.
  + Updated translations.
* Tue Feb 23 2016 fcrozat@suse.com
- Update webkitgtk-disable-gcc-version-checks.patch to fix building
  with gcc 4.8 (fix from Mike Gorse).
* Fri Feb 19 2016 dimstar@opensuse.org
- Update to version 2.11.90:
  + Switch to use overlay scrollbars like all other GTK+ widgets
    and ensure the behavior is consistent with GTK+ too.
  + Limit the number of tiles according to the visible area. This
    was causing a huge memory consumption with some websites.
  + Fix toggle buttons rendering with GTK+ 3.19.
  + Fix HTTP authentication dialog rendering when accelerated
    compositing mode is enabled.
  + Use G_TYPE_ERROR instead of G_TYPE_POINTER for GError
    parameters of signals.
  + Fix several memory leaks.
- Rebase webkitgtk-disable-gcc-version-checks.patch.
* Tue Feb 16 2016 fcrozat@suse.com
- Do not use binutils-gold on s390x and try to minimize memory used
  there at linking time.
- Ensure JIT is also disabled on s390x.
* Mon Feb 15 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  webkitgtk.
* Fri Feb 12 2016 zaitor@opensuse.org
- Update to version 2.11.5:
  + Switch FTL to use B3 backend instead of LLVM.
  + Add support for windowless NPAPI plugins with no UI in non X11
    platforms.
  + Fix a deadlock in the Web Process when JavaScript garbage
    collector was running for a web worker thread that made google
    maps to hang.
  + Fix a Web Process crash when quickly attempting many DnD
    operations.
  + Fix scrollbars rendering with older versions of GTK+.
  + Fix a crash when creating a WebKitWebView without providing a
    WebKitWebContext.
- Drop llvm-devel BuildRequires as upstream now supports B3 instead
  of LLVM.
* Thu Feb 11 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  webkitgtk.
* Thu Feb  4 2016 zaitor@opensuse.org
- Update to version 2.11.4:
  + Prefer to link to LLVM shared libraries when building with FTL
    enabled.
  + Fix runtime errors when serializing/deserializing session
    state.
  + Fix critical warnings when loading a URL after a session
    restore.
  + Fix the build with GTK+ < 3.14.
  + Fix the build with video support disabled.
- Drop webkitgtk-llvm-shared-libs.patch: Fixed upstream.
* Wed Feb  3 2016 fcrozat@suse.com
- Refresh webkitgtk-disable-gcc-version-checks.patch for latest
  webkitgtk.
* Wed Feb  3 2016 mcatanzaro@igalia.com
- Update to version 2.11.3:
  - NetworkProcess is now used unconditionally. The shared
    secondary process model is now the same as using the multiple
    process model and setting a process limit of 1.
  - Disable DNS prefetch when a proxy is configured.
  - Reduce the maximum simultaneous network connections to match
    other browsers.
  - Extend notifications API to notify WebKit when a notification
    is clicked by the user.
  - Add new API to save and restore a WebView session.
  - Add Web Extensions API to be notified about console messages.
  - Add WebKitURIRequest API to get the HTTP method.
  - Add API to handle beforeunload events.
  - Make WebKitWebView always propagate motion-notify-event signal.
  - Add a way to force accelerating compositing mode at runtime
    using an environment variable.
  - Fix input elements and scrollbars rendering with GTK+ 3.19.
  - Fix a crash in the UI process when the WebView is destroyed
    while the screensaver DBus proxy is being created.
  - Fix a WebProcess crash when loading large contents with
    custom URI schemes API.
  - Fix UI process crashes related to not having a main resource
    response when the load is committed for pages restored from
    the history cache.
- Reenable JIT on SLE, except for the fourth tier (FTL) which
  requires LLVM 3.7.
- Add webkitgtk-llvm-shared-libs.patch to replace llvm-config
  wrapper script.
* Wed Feb  3 2016 fcrozat@suse.com
- Disable database support on SLE, which is requiring gcc >= 4.9:
  Add patch webkitgtk-disable-gcc-version-checks.patch to allow
  building with gcc 4.8, change BuildRequires to gcc-c++ /
  libedit-devel on SLE, instead of gcc-c++ >= 4.9 and llvm-devel,
  disable database and indexed database on SLE and disable JIT
  support on all platforms on SLE, which requires llvm >= 3.7.
* Wed Feb  3 2016 mcatanzaro@igalia.com
- Miscellaneous cleanups.
- Stop setting ENABLE_YARR_JIT=OFF on secondary arches. Nowadays
  ENABLE_YARR_JIT is a private option, and setting ENABLE_JIT=OFF
  is sufficient to do the right thing.
* Wed Feb  3 2016 dimstar@opensuse.org
- Fix build:
  + Add llvm-devel and ncurses-devel BuildRequires.
  + Inject a llvm-config wrapper script into ~/bin, which replaces
    the original's output of static libs with dynamic shared
    objects. This is supposedly going to be corrected with
    LLVM 3.8.
* Wed Feb  3 2016 zaitor@opensuse.org
- Update to version 2.11.2:
  + Enable FTL by default in JavaScriptCore for x86_64.
  + Improved media backend performance by better handling glib main
    loop sources.
  + Fix rendering of lines when using solid colors.
  + Fix web process crashes due to BadDrawable X errors in
    accelerated compositing mode.
  + Updated translations.
* Wed Feb  3 2016 zaitor@opensuse.org
- Update to version 2.10.7:
  + Fix the build with GTK+ < 3.16.
* Thu Jan 28 2016 zaitor@opensuse.org
- Update to version 2.10.6:
  + Fix a deadlock in the Web Process when JavaScript garbage
    collector was running for a web worker thread that made google
    maps to hang.
  + Fix media controls displaying without controls attribute.
  + Fix a Web Process crash when quickly attempting many DnD
    operations.
* Mon Nov 23 2015 zaitor@opensuse.org
- Add binutils-gold BuildRequires: Use the gold linker for build
  and remove --reduce-memory-overheads from RPMOPT flags since
  gold-linker does not know it.
* Wed Nov 11 2015 zaitor@opensuse.org
- Update to version 2.11.1:
  + Improved general performance by better handling glib main loop
    sources.
  + Add autocleanups support to GObjects exposed in public API.
  + Upload the accelerated canvas as a texture by copying via GPU
    directly.
  + Popup menus no longer use a nested main loop.
* Wed Nov 11 2015 zaitor@opensuse.org
- Update to version 2.10.4:
  + Fixed dashed and dotted border painting.
  + Properly cancel navigation policy checks.
  + Several crashes fixed when running editor commands.
  + Fix several crashes due to assertions in Debug builds.
  + Fix the build on Mac OSX and bring back the Quartz target.
  + Fix the build on glibc-based BSD systems.
* Mon Oct 26 2015 zaitor@opensuse.org
- Update to version 2.10.3:
  + Fix graphics artifacts when entering/leaving Accelerated
    Compositing mode.
  + Honour 'forwards' fill-mode in Multiple-keyframe and delayed
    instantaneous animations.
  + Fix runtime warning when the inspector is closed.
  + Fix the build with GTK+2 plugin process disabled.
  + Gracefully handle errors when sending/receiving IPC messages
    data on connection close.
  + Fix several crashes and rendering issues.
* Thu Oct 15 2015 zaitor@opensuse.org
- Update to version 2.10.2:
  + Fix a regression introduced in 2.10.1 that disabled accelerated
    compositing.
  + Fix build with cmake 3.4.
* Wed Oct 14 2015 zaitor@opensuse.org
- Update to version 2.10.1:
  + Fix rendering of accelerated content in HiDPI screens.
  + Fix several media controls rendering issues.
  + Fix rendering of progress element with recent versions of GTK+.
  + Add and update some web inspector icons.
  + Correctly handle websites sending an invalid auth header.
  + Fix a crash when creating the UI process backing store in
    Wayland.
  + Fix the build with spellchecker disabled.
  + Fix the build with touch events disabled.
  + Fix the build with OpenGL disabled.
  + Several build fixes on Mac OSX.
  + Fix several crashes and rendering issues.
* Mon Sep 21 2015 zaitor@opensuse.org
- Update to version 2.10.0:
  + New HTTP disk cache for the Network Process.
  + IndexedDB support.
  + New Web Inspector UI.
  + Automatic ScreenServer inhibition when playing fullscreen
    videos.
  + Improved font matching algorithm.
  + Initial Editor API.
  + Performance improvements.
* Wed Sep 16 2015 zaitor@opensuse.org
- Update to version 2.9.92:
  + Data URLs are now decoded in the Web Process instead of the
    Network Process.
  + Fix Web Process crash recovery.
  + Fix a crash when sqlite3_initialize() is called from multiple
    threads.
  + Fix the volume bar in media controls.
  + Fix JavaScriptCore build with GCC 5.
  + Fix the build when accelerated 2D canvas is enabled but cairo
    was built without GLX.
  + Fix everal memory leaks.
  + Updated translations.
- Drop webkitgtk-gcc5-buildfix.patch: Fixed upstream.
* Wed Aug 26 2015 zaitor@opensuse.org
- Update to version 2.9.91:
  + Fix performance regression introduced in previous release when
    scaling images.
  + Fix runtime critical warning when there are missing media
    plugins.
  + Fix the build on systems with GTK+ compiled with an old version
    of wayland.
* Sun Aug 16 2015 zaitor@opensuse.org
- Update to version 2.9.90:
  + Add API to request permission before showing PackageKit codec
    installation notifications.
  + Fix a crash closing a page when a context menu is open.
  + Fix DNS prefetch when using the network process.
  + Improve image quality when using newer versions of
    cairo/pixman.
  + Fix a crash when the web view is destroyed while the
    screensaver DBus proxy is being created.
* Tue Aug 11 2015 zaitor@opensuse.org
- Update to version 2.9.5:
  + Add API to set the maximum number of web processes per
    WebKitWebContext.
  + Add API to allow executing editing commands that require an
    argument.
  + Prevent clipboard contents from being lost when web process
    finishes.
  + Always allow font matching for strong aliases.
  + Move GStreamer missing plugins installer to the UI process.
  + Fix empty space in popup menus when first item is selected.
  + Fix a crash when SoupSession is destroyed in exit handler.
  + Disable NPAPI plugins when running on Wayland.
  + Updated translations.
* Thu Aug  6 2015 zaitor@opensuse.org
- Update to version 2.9.4:
  + Fix the window size reported when the web view isn't realized
    yet. This fixes the layout of some websites when opening new
    tabs in the browser and anchor links when opened in new tabs
    too.
  + Add API to be notified about editor state changes.
  + Add selection-changed signal to the Web Extensions API.
  + Add initial WebKitWebsiteDataManager API for process
    configuration options.
  + Make WebSQL work by using a default quota instead of always
    failing in openDatabase with DOM Exception 18.
  + Correctly restore accelerated compositing after a WebProcess
    crash.
  + Only enable the input methods filter when there's an editable
    element focused.
  + Fix a crash on memory allocation using bmalloc on 32bit
    systems.
  + Allow to build with X11 and Wayland targets at the same time.
  + Fix a crash when spell checker returns no guesses.
  + Update and optimize some of the web inspector icons.
  + Updated translations.
* Thu Aug  6 2015 zaitor@opensuse.org
- Update to version 2.9.3:
  + Inhibit screen saver when playing full screen video.
  + Fix DOCUMENT_VIEWER cache model to actually disable the memory
    cache.
  + Fix a regression that prevented the WebKitWebView::context-menu
    signal from being emitted.
  + Update web inspector icon so Rendering Frames timeline
    distinguish between layout and painting.
  + Ensure fragment identifier part of URI is not removed for
    custom URI scheme requests.
  + Improve performance of keyboard events handling.
  + Expose element tag name as an object attribute to
    accessibility.
  + Fix the build with Wayland target enabled.
* Thu Aug  6 2015 zaitor@opensuse.org
- Update to version 2.9.2:
  + Add IndexedDB support using a dedicated database process.
  + Add construct property to WebKitWebContext to set the IndexedDB
    database directory.
  + Add allow-file-access-from-file-urls to WebKitSettings.
  + Improve network process disk cache performance by mapping
    cached resources in the web process instead of sending the
    resources data via IPC.
  + Prevent WorkQueue objects from being leaked and ensure its
    worker thread always exits.
  + webkit_dom_html_element_get_children() has been deprecated in
    favor of webkit_dom_element_get_children() to match the DOM
    spec.
  + ARIA menu items no longer have anonymous block children.
  + Map pre element to ATK_ROLE_SECTION instead of ATK_ROLE_PANEL.
  + Always include rows in the tree of accessible tables.
  + Fix the build with Netscape plugins disabled.
  + Fix XPixmaps leaked by GLContext when using EGL on X11.
  + Updated translations.
* Thu Aug  6 2015 zaitor@opensuse.org
- Update to version 2.9.1:
  + New disk cache implementation when using the network process.
  + Web inspector UI has been redesigned.
  + Add support for automatic hyphenation using libhyphen when it's
    available.
  + Fix network redirection to a non HTTP destination.
- Add hyphen-devel BuildRequires: New dependency.
* Thu Aug  6 2015 zaitor@opensuse.org
- Update to version 2.8.5:
  + Fix the window size reported when the web view isn't realized
    yet. This fixes the layout of some websites when opening new
    tabs in the browser and anchor links when opened in new tabs
    too.
  + Prevent clipboard contents from being lost when web process
    finishes.
  + Always allow font matching for strong aliases.
  + Move GStreamer missing plugins installer to the UI process.
  + Fix a crash when spell checker returns no guesses.
  + Fix a crash when SoupSession is destroyed in exit handler.
  + Fix a crash closing a page when default context menu is open.
  + Several crashes and rendering issues fixed.
  + Updated translations.
* Tue Aug  4 2015 zaitor@opensuse.org
- Modify _constraints file for armv6l/armv7l arches to sizes so low
  that in practice it's disabled.
* Thu Jul  9 2015 zaitor@opensuse.org
- Update to version 2.8.4:
  + Make WebSQL work by using a default quota instead of always
    failing in openDatabase with DOM Exception 18.
  + Improve detection and usage of GL/GLES/EGL libraries.
  + Fix a crash on memory allocation using bmalloc on 32bit
    systems.
  + Fix DOCUMENT_VIEWER cache model to actually disable the memory
    cache.
  + Fix a WebProcess crash after too many redirect error when
    there's an active NPAPI plugin.
  + Fix a WebProcess crash when gtk-font-name setting is empty.
  + Ensure Math.abs() doesn't return negative.
  + Correctly restore accelerated compositing after a WebProcess
    crash.
  + Respect X-Frame-Options headers when loading from application
    cache.
  + Several crashes and rendering issues fixed.
  + Fix the MIPS N64 detection.
  + Fix several memory leaks.
  + Updated translations.
* Thu May 21 2015 zaitor@opensuse.org
- Update to version 2.8.3:
  + Fixed a regression introduced in 2.8.2 that broke downloads
    when using the network process.
  + Fix the build with Netscape plugins disabled.
  + Fix XPixamps leaked by GLContext when using EGL on X11.
- Changes from version 2.8.2:
  + Fix network redirection to a non HTTP destination.
  - Use a webkit subdirectory for the disk cache to avoid conflicts
    with other files in the cache directory when the disk cache is
    cleaned up.
  - Do not preserve the Origin header on on cross-origin redirects.
  - Prevent WorkQueue objects from being leaked and ensure its
    worker thread always exits.
* Tue Apr 14 2015 zaitor@opensuse.org
- Update to version 2.8.1:
  + Handle keep-alive connections in GStreamer HTTP source element.
  + Fix a crash in DOMObjectCache when a wrapped object owned by.
    the cache is unreffed by the user.
  + Fix rendering of drag and drop icon.
  + Fix the build with REDIRECTED_XCOMPOSITE_WINDOW disabled in X11
    platform.
  + Fix the build with Wayland target enabled.
  + Fix the build for HPPA.
- Add webkitgtk-gcc5-buildfix.patch: Fix build with gcc5.
* Thu Apr  9 2015 mcatanzaro@igalia.com
- Add BuildRequires pkgconfig(libnotify) to build with support for
  HTML5 notifications (bnc#926482).
* Thu Mar 26 2015 dimstar@opensuse.org
- Change webkit2gtk-4_0-injected-bundles Recommends to Requires:
  apps fail to load webkit if the bunldes are not available.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 2.8.0:
  + Initial gestures support.
  + HTML5 notifications.
  + User script messages.
  + HTML5 color input.
  + APNG support.
  + Performance improvements.
  + Playing audio notification signal.
  + Web view background colors.
* Wed Mar 18 2015 dimstar@opensuse.org
- Update to version 2.7.92:
  + Add APNG support.
  + Disable RC4 support in networking backend.
  + Add a configure option to build with OpenGL ES 2.
  + Add an option to enable MiniBrowser for non developer builds
    and always install it.
  + Check TLS errors as soon as they are set in the SoupMessage to
    prevent any data from being sent to the server in case of
    invalid certificate.
  + Make WebKitWebView always hold a reference on WebKitWebContext
    now that it’s possible to create new web contexts.
  + Fix a crash when entering accelerated compositing mode before
    the WebView is realized.
  + Fix some transfer annotations used in GObject DOM bindings.
  + Fix GObject DOM objects leaked when the web view contents are
    updated.
  + Fix a crash viewing http://www.last.fm/.
  + Fix an infinite loop in ARM Linux when parallel GC is enabled
    it again.
  + Fix the build with older versions of GStreamer.
  + Fix the build when NEON_INTRINSICS is enabled.
  + Fix the build with video enabled but WebAudio disabled.
- Changes from version 2.7.91:
  + Enable concurrent JIT.
  + Add support for ARIA 1.1 ‘switch’ and ‘searchbox’ roles.
  + Fix synchronous loads when maximum connection limits are
    reached.
  + Fix web timing calculations when loading resources from the
    disk cache.
  + Fix a crash when loading a local file with
    webkit_web_view_load_alternate_html.
  + Fix a WebProcess crash when entering accelerating compositing
    mode before the WebView is realized.
  + Improve the appearance of fonts loaded via @font-face.
  + Fix undefined symbol issue when loading web extensions.
  + Build bmalloc as a static library.
  + Fix the build with CMake 3.2.
  + Fix the C-Loop LLInt build.
  + Updated translations.
- Drop webkitgtk-bmalloc-as-static.patch: fixed upstream.
* Thu Feb 26 2015 dimstar@opensuse.org
- Add webkitgtk-bmalloc-as-static.patch: Build libbmalloc as static
  library. Only webkitgtk depends on it.
* Thu Feb 19 2015 dimstar@opensuse.org
- Update to version 2.7.90:
  + Use the new memory allocator bmalloc instead of TCMalloc which
    drastically improves the overall performance.
  + Remove WebKitWebView::close-notification signal and add
    WebKitNotification::closed instead.
  + Implement support for new AtkRole types for MathML.
  + Add support for input color type.
  + Add API to allow overriding the default color chooser
    implementation.
  + Resize the accelerating compositing window to a minimum size
    again after leaving accelerated compositing mode to save
    memory.
  + Ensure WebKitFrame objects are released when the frame is
    destroyed.
  + Clear the GObject DOM bindings internal cache when frames are
    destroyed.
  + Implement page overlays to bring back the inspector element
    highlighting.
  + Fix startup runtime critical warnings when using the network
    process.
  + Fix the build with recent versions of GLib that have
    GMutexLocker.
  + Fix the gtk-doc generation to appear in DevHelp.
* Fri Jan 23 2015 zaitor@opensuse.org
- Update to version 2.7.4:
  + Add API to change the WebKitWebView background color.
  + Add an option to create WebKitWebView snapshots with
    transparent background.
  + Add API to make the WebKitWebView editable.
  + Add is-playing-audio property to WebKitWebView.
  + Do not resize the accelerating compositing window to the web
    size until accelerated compositing mode is activated.
* Fri Jan 23 2015 zaitor@opensuse.org
- Update to version 2.7.3:
  + Add API to support HTML5 notifications.
  + Add UserMedia Permission Request API.
  + GObject DOM bindings API now correctly returns NULL intead of
    empty strings to be able to differentiate between not present
    and present but empty.
  + Add support for text-decoration-skip.
  + Improve the HTTP authentication dialog.
  + Expose the ID attribute of Meter and Option elements to
    accessibility.
  + Use latin1 instead of UTF-8 for HTTP header values.
  + Update NavigationItemProbes inspector icon.
  + Add video/mp2t as alternative mimetype for MPEG TS.
  + Add application/x-mpegurl and video/flv to the list of
    supported mimetypes.
  + Add SCHEDULING query support to HTTP media source element.
  + Fix deadlock when shutting down AudioDestination.
  + Updated translations.
- Changes from version 2.7.2:
  + Fix SSL connection issues with some websites after the POODLE
    vulnerability fix.
  + Add API to handle user script messages.
  + Add context menu API to Web Process Extensions.
  + Add API to create a WebKitWebContext.
  + Add API to override the default local storage directory.
  + Add WebKitWebResource::failed-with-tls-errors signal to notify
    about load failures due to TLS errors also in sub-resources.
  + Fix several crashes in accessibility implementation.
  + Fix XMLHttpRequest with a timeout when using the network
    process.
  + Fix XMLHttpRequest with cookies disabled when using the network
    process.
  + Fix a crash in the network process when a synchronous load
    redirects to a new url in a different security origin.
  + Fix a crash in TextureMapper when video resolution changes.
  + Correctly report the memory used by the media player to the
    garbage collector to make sure it’s freed when the video
    element is removed from the DOM.
  + Fix documentation of webkit_print_operation_get_page_setup().
* Fri Jan 23 2015 zaitor@opensuse.org
- Update to version 2.6.5:
  + Fix issue that caused some text to be inserted when trying to
    delete a word from the Twitter message box.
  + GObject DOM bindings API now correctly returns NULL intead of
    empty strings to be able to differentiate between not present
    and present but empty.
  + Do not resize the accelerating compositing window to the web
    size until accelerated compositing mode is activated.
  + Use latin1 instead of UTF-8 for HTTP header values.
  + Add SCHEDULING query support to HTTP media source element.
  + Add application/x-mpegurl and video/flv to the list of
    supported mimetypes.
  + Update NavigationItemProbes inspector icon.
  + Fix the build with recent GStreamer.
  + Fix the build on FreeBSD.
  + Fix build on OS X.
  + Fix the build on powerpc 32 bits.
  + Fixed several crashes in WebCore and JavaScriptCore.
  + Updated translations.
- Drop webkitgtk-libatomic.patch: Fixed upstream.
* Tue Jan 13 2015 schwab@suse.de
- Add webkitgtk-libatomic.patch: Check if libatomic is needed in
  order to use std::atomic; fixes build on ppc.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 2.6.4:
  + Fix SSL connection issues with some websites after the POODLE
    vulnerability fix.
  + Fix several crashes in accessibility implementation.
  + Fix XMLHttpRequest with a timeout when using the network
    process.
  + Fix XMLHttpRequest with cookies disabled when using the network
    process.
  + Fix a crash in the network process when a synchronous load
    redirects to a new url in a different security origin.
  + Fix documentation of webkit_print_operation_get_page_setup().
  + Allow to build with GObject introspection disabled.
  + Fix the remote inspector when settings don't change after page
    initialization.
* Wed Nov 12 2014 zaitor@opensuse.org
- Update to version 2.6.3:
  + Fix a crash when loading flash plugins.
  + Correctly report the memory used by the media player to the
    garbage collector to make sure it's freed when the video
    element is removed from the DOM.
  + Fix a crash in TextureMapper when video resolution changes.
  + Ensure that CSS-generated text content is exposed to assistive
    technologies.
  + Enable CSS_IMAGE_SET on production builds to fix some icons
    that are not rendered in the web inspector.
  + Fix the build on FreeBSD and GNU Hurd.
  + Fix the build with video disabled.
* Sat Oct 25 2014 dimstar@opensuse.org
- Update to version 2.6.2:
  + SSLv3 is now disabled to protect us against POODLE
    vulnerability.
  + TLS errors are no longer ignored by default.
  + Fix the remote web inspector.
  + Fix rendering of buttons, selections and lists with recent GTK+
    versions.
  + Improve performance of timers scheduled after a delay in
    microseconds.
  + Fix WebKitSettings:enable-smooth-scrolling to actually enable
    smooth scrolling.
  + Fix the build with drag and drop support disabled.
* Tue Oct 14 2014 dimstar@opensuse.org
- Update to version 2.6.1:
  + Ensure WebKitWebView:is-loading is TRUE right after a new load
    starts.
  + Fix a crash in the plugin process with some windowed flash
    plugins.
  + Allow to dock the inspector again once undocked when building
    with GTK+ >= 3.10.
  + TLS errors now take precedence over the HTTP authentication
    dialog.
  + Do not shrink on-disk cache to its default size on startup.
  + Improve the proportion and visibility of some web inspector
    icons.
  + Fix GTK+2 plugins not working after being updated.
  + Don’t include full path names in WebKitEnumTypes.h to ensure
    the generated headers are always identical.
  + Updated transations.
* Mon Oct 13 2014 dvaleev@suse.com
- Disable JIT on Power architectures
  (-DEANBLE_JIT=OFF -DENABLE_YARR_JIT=0)
* Thu Sep 25 2014 dimstar@opensuse.org
- Update to version 2.6.0:
  + Make vimeo videos work again with the GStreamer media backend.
  + Add more free icons for the web inspector.
  + Fix a WebSocket crash when a connection is closed from server
    side.
  + Fixed a memory leak in JavaScriptCore.
  + Fix the build with video support disabled.
  + Fix CLoop on the 32-bit Big-Endians.
  + Updated translations.
* Sun Sep 21 2014 dimstar@opensuse.org
- Update to version 2.5.90:
  + Use free icons for the web inspector.
  + Change WebKitWebView::load-failed-with-tls-errors signal to
    pass the failing URI as signal argument instead of the host.
  + Add new API to allow overwrite existing files when downloading
    a file.
  + Add webkit_uri_response_get_http_headers() API.
  + Improve the UI of the HTTP authentication dialog.
  + Fix a crash when navigating away from a web page containing an
    ogg video.
  + Fix race condition when downloading a file due to the
    intermediate temporary file.
  + Fix toggle buttons rendering with recent GTK+ versions.
  + Fix selection rendering when unfocused with recent GTK+
    versions.
  + Mak e the GStreamer media backend not send the transferMode
    HTTP header.
- Setup environment to prefer GOLD linker (softlink
  /usr/bin/ld.gold to ~/bin/ld).
* Mon Sep  8 2014 dimstar@opensuse.org
- Pass -DCMAKE_{EXE,MODULE,SHARED}_LINKER_FLAGS="-Wl,--as-needed
  - Wl,-z,now" to cmake call: cmake changed the default to not
  accept libraries to have undefined symbols (-Wl,--no-undefined).
  In this case though, it is understood and expected, so we remove
  - -no-undefined from the FLAGS.
* Wed Aug 13 2014 dimstar@opensuse.org
- Initial package, version 2.5.3; based on webkitgtk3.spec.
